"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.assignTypeAnnotation = assignTypeAnnotation;
exports.importName = importName;
exports.isTS = isTS;
exports.memberName = memberName;
exports.memberRefName = memberRefName;
function memberName(member) {
  const computed = member.type === "ClassPrivateMethod" || member.type === "ClassPrivateProperty" ? false : member.computed;
  if (computed && member.key.type === "StringLiteral") {
    return member.key.value;
  } else if (!computed && member.key.type === "Identifier") {
    return member.key.name;
  }
}
function memberRefName(member) {
  if (member.computed && member.property.type === "StringLiteral") {
    return member.property.value;
  } else if (!member.computed && member.property.type === "Identifier") {
    return member.property.name;
  }
}
function importName(name) {
  if (name.type === "StringLiteral") {
    return name.value;
  } else {
    return name.name;
  }
}
function isTS(state) {
  if (state.filename) {
    return /\.(?:[mc]ts|tsx?)$/i.test(state.filename);
  }
  return false;
}
function assignTypeAnnotation(node, typeAnnotation) {
  return Object.assign(node, {
    typeAnnotation
  });
}